Bug 7889 - Use standard style for errors and messages
Summary: Use standard style for errors and messages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7884
  Show dependency treegraph
 
Reported: 2012-04-03 16:17 UTC by Owen Leonard
Modified: 2013-12-05 20:06 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7889 [Subscription renew] Use standard style for errors and messages (1.88 KB, patch)
2012-05-17 15:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7889 [Authorities duplicates] Use standard style for errors and messages (8.85 KB, patch)
2012-05-17 17:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7889 [Search errors] Use standard style for errors and messages (1.91 KB, patch)
2012-05-17 18:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7889 [Acquisitions] Use standard style for errors and messages (2.45 KB, patch)
2012-05-17 19:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7889 - Use standard style for errors and messages (1.90 KB, patch)
2012-05-19 19:06 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7889 [Authorities duplicates] Use standard style for errors and messages (8.87 KB, patch)
2012-05-19 19:07 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7889 [Search errors] Use standard style for errors and messages (1.95 KB, patch)
2012-05-19 19:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7889 [Acquisitions] Use standard style for errors and messages (2.47 KB, patch)
2012-05-19 19:09 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7889 - Use standard style for errors and messages (3.86 KB, patch)
2012-07-23 16:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7889 - Use standard style for errors and messages (3.88 KB, patch)
2012-07-24 12:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-04-03 16:17:07 UTC
When displaying in-page errors or messages to the user a standard style should be used.

Errors, alerts, or other messages which indicate failures, warnings, or other high-priority information should use:

<div class="dialog alert">
  ...error...
</div>

Informational messages should use:


<div class="dialog message">
  ...message...
</div>
Comment 1 Owen Leonard 2012-05-17 15:27:15 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-05-17 17:17:27 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2012-05-17 18:19:25 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-05-17 19:14:02 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2012-05-19 19:06:15 UTC
Created attachment 9658 [details] [review]
Bug 7889 - Use standard style for errors and messages

Styling subscription renew message according to standard style.
Also:
 - Adding direct link to renew from message suggesting renew.
 - Adding output of expiration date to message.

To test open a subscription with an impending expiration. You
should see a dialog-styled message, "Subscription will expire XX/XX/XXXX.
Renew this subscription."

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 6 Chris Cormack 2012-05-19 19:07:40 UTC
Created attachment 9659 [details] [review]
Bug 7889 [Authorities duplicates] Use standard style for errors and messages

The warning shown in the authorities editor when there is
a possible duplicate is styled incorrectly. In addition the
design of the warning is inconsistent with that shown in the
bibliographic record editor.

This patch revises the style and layout of the duplicate error
box. It also corrects a problem which appears in the biblio
and authority editors where a non-existent JS window function
was called. I have added the function to the default JS include
and revised the editor pages to use it.

To test:

- Create a record in both the cataloging and authorities
  editors which will trigger a duplicate warning.
- Click the link to the existing record. A separate window
  should pop up.
- In both editors try each option:
   - Confirm the duplicate and go to the existing record.
   - Deny that the record is duplicate and continue to save.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 7 Chris Cormack 2012-05-19 19:08:25 UTC
Created attachment 9660 [details] [review]
Bug 7889 [Search errors] Use standard style for errors and messages

There are two instances in the templates where markup is defined
for displaying search errors. I've never seen these appear and I
have no idea what kind of error might trigger it, but now it will
display correctly.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 8 Chris Cormack 2012-05-19 19:09:16 UTC
Created attachment 9661 [details] [review]
Bug 7889 [Acquisitions] Use standard style for errors and messages

Correcting style of the warning on the Acquisitions home page
which appears if no budgets have been defined.

Also correcting the logic by which the warning appears, as a
change to the script inadvertently prevented it.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 9 Jonathan Druart 2012-05-22 08:36:47 UTC
QA Comments:
All patches passed QA.

Just one span class "problem" already exists, in serials/serials-collection.tt
Comment 10 Paul Poulain 2012-05-25 15:25:28 UTC
could be backported to 3.8, but it's just a display fix, so maybe not worth the risk for a side effect
Comment 11 Owen Leonard 2012-07-23 16:34:19 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2012-07-24 12:20:56 UTC
Created attachment 11105 [details] [review]
Bug 7889 - Use standard style for errors and messages

Correcting the markup of error messages in three places:
catalogue merge, CSV profile editing, and opac comments.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Paul Poulain 2012-07-25 13:08:56 UTC
Only last patch not applied already. passed QA
Comment 14 Chris Cormack 2013-04-20 22:05:50 UTC
Released in 3.10.0